# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::PointParameter Class Reference

Wraps the OpenGL function glPointParameter(), see also http://www.opengl.org/sdk/docs/man/xhtml/glPointParameter.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::PointParameter:

List of all members.

## Public Member Functions

| PointParameter (float sizemin=0, float sizemax=1024.0f, float fadethresholdsize=1.0f, fvec3 distanceattenuation=fvec3(1, 0, 0))
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *) const
void | set (float sizemin, float sizemax, float fadethresholdsize, fvec3 distanceattenuation)
void | setDistanceAttenuation (fvec3 attenuation)
void | setSizeMin (float sizemin)
void | setSizeMax (float sizemax)
void | setFadeThresholdSize (float threshold)
fvec3 | distanceAttenuation () const
float | sizeMin () const
float | sizeMax () const
float | fadeThresholdSize () const

## Protected Attributes

fvec3 | mDistanceAttenuation
float | mSizeMin
float | mSizeMax
float | mFadeThresholdSize

## Detailed Description

Wraps the OpenGL function glPointParameter(), see also http://www.opengl.org/sdk/docs/man/xhtml/glPointParameter.xml for more information.

See also:
  Shader, Effect, Actor

## Constructor & Destructor Documentation

vl::PointParameter::PointParameter | ( | float | sizemin = `0`,
|  | float | sizemax = `1024.0f`,
|  | float | fadethresholdsize = `1.0f`,
|  | fvec3 | distanceattenuation = `fvec3(1,0,0)` |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual const char* vl::PointParameter::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

virtual ERenderState vl::PointParameter::type | ( |  | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

void PointParameter::apply | ( | const Camera * |  | ) | const`[virtual]`

Implements vl::RenderState.

void vl::PointParameter::set | ( | float | sizemin,
|  | float | sizemax,
|  | float | fadethresholdsize,
|  | fvec3 | distanceattenuation |
| ) |  |  | `[inline]`

void vl::PointParameter::setDistanceAttenuation | ( | fvec3 | attenuation | ) | `[inline]`

void vl::PointParameter::setSizeMin | ( | float | sizemin | ) | `[inline]`

void vl::PointParameter::setSizeMax | ( | float | sizemax | ) | `[inline]`

void vl::PointParameter::setFadeThresholdSize | ( | float | threshold | ) | `[inline]`

fvec3 vl::PointParameter::distanceAttenuation | ( |  | ) | const`[inline]`

float vl::PointParameter::sizeMin | ( |  | ) | const`[inline]`

float vl::PointParameter::sizeMax | ( |  | ) | const`[inline]`

float vl::PointParameter::fadeThresholdSize | ( |  | ) | const`[inline]`

## Member Data Documentation

fvec3 vl::PointParameter::mDistanceAttenuation`[protected]`

float vl::PointParameter::mSizeMin`[protected]`

float vl::PointParameter::mSizeMax`[protected]`

float vl::PointParameter::mFadeThresholdSize`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:41 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.